#1 Le 19/12/2006, à 02:47
- Dam007
Heroes 3 :installation doesn't support glibc-2.1 on Linux / x86
Bonsoir, c'est ma première sous linux et surtout avec les jeux Linux.
Pas de chance le 1er jeu que je souhaite installer ne marche pas.
Je suis sous Edgy et le jeu en question c'est Heroes of Might and Magic 3 version Linux.
Voici le setup.sh
#! /bin/sh
#
# Product setup script - Loki Entertainment Software
# Go to the proper setup directory (if not already there)
cd `dirname $0`
# Return the appropriate architecture string
DetectARCH()
{
status=1
case `uname -m` in
i?86)
echo "x86"
status=0;;
*)
echo "`uname -m`"
status=0;;
esac
return $status
}
# Return the appropriate version string
DetectLIBC()
{
export SETUP_LIBC=glibc-2.1.
status=1
if [ `uname -s` != Linux ]; then
echo "glibc-2.1"
return $status
fi
if [ -f `echo /lib/libc.so.6* | tail -1` ]; then
if fgrep GLIBC_2.1 /lib/libc.so.6* 2>&1 >/dev/null; then
echo "glibc-2.1"
status=0
else
echo "glibc-2.0"
status=0
fi
elif [ -f /lib/libc.so.5 ]; then
echo "libc5"
status=0
else
echo "unknown"
fi
return $status
}
# Detect the Linux environment
arch=`DetectARCH`
libc=`DetectLIBC`
os=`uname -s`
# Find the installation program
try_run()
{
setup=$1
shift
fatal=$1
if [ "$1" != "" ]; then
shift
fi
# First find the binary we want to run
failed=0
setup_bin="setup.data/bin/$os/$arch/$libc/$setup"
if [ ! -f "$setup_bin" ]; then
setup_bin="setup.data/bin/$os/$arch/$setup"
if [ ! -f "$setup_bin" ]; then
failed=1
fi
fi
if [ "$failed" -eq 1 ]; then
if [ "$fatal" != "" ]; then
cat <<__EOF__
This installation doesn't support $libc on $os / $arch
Please contact Loki Technical Support at support@lokigames.com
__EOF__
exit 1
fi
return $failed
fi
# Try to run the binary
# The executable is here but we can't execute it from CD
setup="$HOME/.setup$$"
cp "$setup_bin" "$setup"
chmod 700 "$setup"
if [ "$fatal" != "" ]; then
"$setup" $*
failed=$?
else
"$setup" $* 2>/dev/null
failed=$?
fi
rm -f "$setup"
return $failed
}
# See if we can find the Loki update and uninstall tools
CheckPATH()
{
echo "$PATH" | tr ':' '\n' | sed -e 's/^$/./g' -e "s,~,$HOME," |
while read path
do if [ -f "$path/$1" -a -x "$path/$1" ]; then
echo "$path/$1"
break
fi
done
}
loki_update="`CheckPATH loki_update`"
if [ -d "loki_update" -a "$loki_update" = "" ]; then
echo "Loki Update Tool not found, running installation program"
sh loki_update/setup.sh
echo "Continuing with install ..."
fi
loki_uninstall="`CheckPATH loki_uninstall`"
if [ -d "loki_uninstall" -a "$loki_uninstall" = "" ]; then
echo "Loki Uninstall Tool not found, running installation program"
sh loki_uninstall/setup.sh
echo "Continuing with install ..."
fi
# Try to run the setup program
status=0
rm -f "$setup"
try_run setup.gtk $* || try_run setup $* -fatal || {
echo "The setup program seems to have failed on $arch/$libc"
echo
echo "Please contact Loki Technical Support at support@lokigames.com"
status=1
}
exit $status
Il me renvoie le message suivant:
This installation doesn't support glibc-2.1 on x86
Bon apparement des gens ont eu le meme problème avec Quake3, et ils le resolvaient avec la commande:
Just type the following before running setup.sh [or the installer]:
export SETUP_LIBC=glibc-2.1.
Commande qui ne marche pas apparement dans mon cas.
Autre chose dans le répertoire du jeux, il y a ce fichier:
/media/cdrom/setup.data/bin/x86/glic-2.1/setup.gtk
Cela pourrait il me servir à quelquechose?
Merci d'avance
#2 Le 19/12/2006, à 15:40
- Dam007
Re : Heroes 3 :installation doesn't support glibc-2.1 on Linux / x86
Personne pour m'aider....sniff....:(
Hors ligne
#3 Le 19/12/2006, à 16:01
- Balkoth
Re : Heroes 3 :installation doesn't support glibc-2.1 on Linux / x86
Bonsoir,
je ne sais pas où tu as trouvé ta version Linux de l'installeur pour Heroes 3, pour ma part le jeu s'est installé et tourne sans problème avec Wine.
Hors ligne
#4 Le 10/08/2007, à 12:45
- alesi26
Re : Heroes 3 :installation doesn't support glibc-2.1 on Linux / x86
j'ai exactement le même problème sous ubuntu feisty,
est-ce que quelqu'un a réussi à installer heroes3 ?
merci
Dernière modification par alesi26 (Le 10/08/2007, à 12:51)
Ubuntu sur de l'AMD Athlon 1400 Mhz - 768 Mo RAM - carte video Radeon 7000/VE AGP
Hors ligne
#5 Le 10/08/2007, à 13:26
- tenSe
Re : Heroes 3 :installation doesn't support glibc-2.1 on Linux / x86
Faites comme a dit Balkoth : Utilisez la version Windows avec Wine.
tenSe
( utilisateur d'Arch / CentOS / Ubuntu, intéressé par le traitement du signal temps réel et par les productions artistiques open source de toutes sortes )
Hors ligne
#6 Le 10/08/2007, à 21:47
- alesi26
Re : Heroes 3 :installation doesn't support glibc-2.1 on Linux / x86
vue ma config, est-ce que wine va vraiment bien marcher ?
Ubuntu sur de l'AMD Athlon 1400 Mhz - 768 Mo RAM - carte video Radeon 7000/VE AGP
Hors ligne